Bug 15634 - при включении плагина email, создается сокет с нулевыми правами
: при включении плагина email, создается сокет с нулевыми правами
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/collectd)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-05-13 11:05 by
Modified: 2009-10-30 13:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-05-13 11:05:29
создается сокет с такими правами. соответственно никто в него не может писать
s--------- 1 root root 0 May 13 15:01 .collectd-email

указание в конфиге SocketGroup "postgrey" и SocketPerms "0770" ничего не дает
Steps to Reproduce:
1. в конфиге добавить LoadPlugin email
и
<Plugin email>
        SocketGroup "postgrey"
        SocketPerms "0770"
        MaxConns 100
</Plugin>
2. запустить сервис
3./tmp/.collectd-email с правами 000
------- Comment #1 From 2008-05-14 17:40:44 -------
Не пользовался -- боюсь, апстрим багрепорты по 3.x уже не шибко принимает.
Надо собирать collectd4 (другим пакетом, хранение данных сильно изменилось).
------- Comment #2 From 2008-05-15 07:08:40 -------
(In reply to comment #1)
> Не пользовался -- боюсь, апстрим багрепорты по 3.x уже не шибко принимает.
> Надо собирать collectd4 (другим пакетом, хранение данных сильно изменилось).

а собирать collectd4 уже в планах? :)
------- Comment #3 From 2008-05-15 14:28:52 -------
С осени, но всё никак руки не дойдут.

Мож возьмётесь?  Могу забросить в Daedalus текущее (надо всё аккуратно
переименовать -- пакет, каталог с данными и cgi -- поскольку это практически
другая программа и миграция данных с collectd3 -- сугубо ручная):

* Sun Feb 10 2008 Michael Shigorin <mike@altlinux> 4.2.4-alt3
- enabled features:
  + libnetlink, libstatgrab (core package)
  + snmp, nut, xmms (subpackages)

* Sun Feb 10 2008 Michael Shigorin <mike@altlinux> 4.2.4-alt2
- removed patches

* Tue Jan 22 2008 Michael Shigorin <mike@altlinux> 4.2.4-alt1
- 4.2.4 (major feature enhancements [over 4.0])
  + built for Daedalus
  + note http://collectd.org/migrate-v3-v4.shtml
    or wipe %_localstatedir/%name/ clean of collected data

* Tue Aug 14 2007 Michael Shigorin <mike@altlinux> 4.0.6-alt1
- 4.0.6 (major feature enhancements)
  + warning, there are major RRD- and CGI-related changes!
    you should not update the package blindly if it is used
  + please see contrib/migrate-3-4.px and associated README
- added apache2-devel, perl-devel to BuildRequires
- enabled apache2 subpackage by default
- introduced sample /etc/collection.conf (adapted from git)
------- Comment #4 From 2008-05-15 14:36:51 -------
мне еще надо тест пройти на вступление в тим :) и свой пакет допилить
а потом вполне возможно
------- Comment #5 From 2008-08-12 13:01:18 -------
Хотел уже было повесить багу, что сокет создаётся в /tmp, но наткнулся на эту
багу.

Так же хотел посмтреть 4-й, но не обнаружил его на git.alt :(
------- Comment #6 From 2008-08-12 19:05:50 -------
(In reply to comment #5)
> Хотел уже было повесить багу, что сокет создаётся в /tmp, но наткнулся на эту
> багу.
Я не пробовал этот плагин...

> Так же хотел посмтреть 4-й, но не обнаружил его на git.alt :(
Есть в Daedalus -- никак не доберусь аккуратно развести обновление с 3.x.
План такой: старый пакет уходит в collectd3 и /var/lib/collectd3, CGI не
пересекаются, данные по возможности без потерь перемещаются.

Илья, если вдруг есть достаточно интересу -- буду сильно рад помощи и
тестированию.
------- Comment #7 From 2009-05-27 16:18:30 -------
в collectd-4.0.7 должно быть уже исправлено, проверьте.
------- Comment #8 From 2009-10-30 13:43:40 -------
apparently fixed